# PCLinuxOS Copyright by Bill Reynolds (Texstar)

Summary:	A list monitor with a visual output
Summary(de):	Listenüberwachung mit optischer Anzeige
Name:		faces
Version:	1.6.1
Release:	%mkrel 25
License:	Freeware
Group:		Networking/Mail
BuildRequires:	byacc
Source:		ftp://ftp.cs.indiana.edu/pub/faces/faces/faces-1.6.1.tar.xz
Patch0:		faces-1.6.1-make.patch.bz2
Patch1:		faces-1.6.1-awk.patch.bz2
Patch2:		faces-1.6.1-string.patch.bz2
Patch3:		faces-1.6.1-fix.patch.bz2
Patch4:		faces-1.6.1-ikon2xbm.patch.bz2
Patch5:		faces-1.6.1-lib64.patch.bz2
Patch6:		faces-1.6.1-misc-fixes.patch.bz2
Patch7:		faces-1.6.1-datadir-faces.patch.bz2
Patch8:		faces-1.6.1-errno.patch.bz2
Patch9:		faces-1.6.1-faces_chmod.patch.bz2
Patch10:	faces-1.6.1-gcc3.4-fix.patch.bz2
Patch11:	faces-1.6.1-dotsyms.patch.bz2
Requires:	netpbm
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Faces is a program for visually monitoring a list (typically a list of
incoming mail messages, a list of jobs in a print queue or a list of
system users).  Faces operates in five different modes: monitoring for
new mail, monitoring an entire mail file, monitoring a specified print
queue, monitoring users on a machine and custom monitoring.  Faces also
includes a utility for including a face image (a compressed, scanned
image) with mail messages.  The image has to be compressed in a certain
way, which can then be uncompressed and displayed on-the-fly in the mail
program.  This feature of faces is typically used with the exmh mail
handling system.

Install faces if you'd like to use its list monitoring capability or
its face image inclusion capability.  If you would like to include
face images in email, you'll also need to install the faces-xface
package.  If you would like to develop xface applications, you'll need
to also install faces-devel.
#german
%description -l de
Faces ist ein Programm für die optische Darstellung von Listen (typisch, 
eine Liste von eingehenden Nachrichten, eine Liste von Druckaufträgen oder 
eine Liste von Benutzern eines Systems). Faces arbeitet in fünf 
verschiedenen Modi:

*    Anzeigen neuer Mails
*    anzeigen der kompletten Mail
*    anzeigen eines ausgewählten Druckauftrages
*    anzeigen von Benutzern und benutzerspezifische Anzeigen

Faces enthält außerdem ein Werkzeug zum Einfügen eines Gesichtsbild (ein 
komprimiertes, eingescanntes Bild) in Mailnachrichten. Das Bild muss in 
einer bestimmten Format komprimiert sein, um im Mailprogramm direkt angezeigt 
werden zu können. Diese Einrichtung von Faces wird typischer Weise vom exmh 
Mail System verwendet. Installiere Faces, wenn du eine leistungsfähige 
Listenanzeige oder wenn du ein Gesichtsbild eingebunden haben möchtest. Zum 
benutzten der eingebundenen Gesichtsbilder musst du zusätzlich noch das 
faces-xface Paket installieren, zum benutzen der Entwicklunganwendungen mußt 
du auch noch das faces-devel Paket installieren. 

%package	xface
Requires:	libgr-progs
Summary:	Utilities needed by mailers for handling Faces' X-face images.
Summary(de):	Werkzeuge für X-face Images
Group:		Networking/Mail

%description	xface
Faces-xface includes the utilities that mail user agent programs need to
handle X-Face mail headers.  When an email program reads the X-face
header line in an email message, it calls these utilities to display
the face image included in the message.

You'll need to install faces-xface if you want your mail program to
display Faces' X-face images.
#german
%description	xface -l de
Faces-Xface stellt Werkzeuge bereit zum händeln von X-Face Mail Headers.

%package	devel
Summary:	The Faces program's library and header files.
Summary(de):	Die Faces Programmbibliotheken und Header Dateien
Group:		Development/C

%description	devel
Faces-devel contains the faces program development environment,
(i.e., the static libraries and header files).

If you want to develop Faces applications, you'll need to install
faces-devel.  You'll also need to install the faces package.
#german
%description	devel -l de
Faces-devel enthält die von Faces benötigte Programmierumgebung (z.B. 
die Statik Bibliotheken und Header Dateien). Wenn du die Faces-Anwendungen 
nutzen möchtest, musst du das faces-devel-Paket installieren. 
Zusätzlich musst du noch das faces-Paket installieren. 

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if "%_lib" == "lib64"
%patch5 -p1 -b .lib64
%endif
%patch6 -p1 -b .misc-fixes
%patch7 -p1 -b .datadir-faces
%patch8 -p1
%patch9 -p1
%patch10 -p1 -b .gcc34
%patch11 -p1 -b .dotsyms

%build
%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -f Makefile.dist x11

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man3}
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}
make -f Makefile.dist \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	install

install -m644 compface/compface.h $RPM_BUILD_ROOT%{_includedir}/compface.h

mkdir -p $RPM_BUILD_ROOT%{_datadir}/faces

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}

%files
%defattr(-,root,root,0755)
%{_bindir}/compface
%{_mandir}/man1/compface.1.*
%{_mandir}/man3/compface.3.*
%{_bindir}/icon2ikon
%{_bindir}/ikon2icon
%{_bindir}/fs2ikon
%{_bindir}/rs2icon
%{_bindir}/fs2xbm
%{_bindir}/xbm2ikon
%{_bindir}/xbmcut48
%{_bindir}/xbmsize48
%{_bindir}/addxface
%{_bindir}/mailq.faces
%{_bindir}/from.faces
%{_bindir}/lpqall.faces
%{_bindir}/rotary.faces
%{_bindir}/facesaddr
%{_bindir}/facesall
%{_bindir}/mkfacesindex
%{_bindir}/newscheck.faces
%{_bindir}/newsfrom.faces
%{_bindir}/faces
%{_bindir}/face_update
%{_bindir}/faces.sendmail
%{_mandir}/man1/faces.1.*
%{_mandir}/man1/face_update.1.*
%{_datadir}/faces

%files xface
%defattr(-,root,root)
%{_bindir}/uncompface
%{_mandir}/man1/uncompface.1.*
%{_mandir}/man3/uncompface.3.*
%{_bindir}/ikon2xbm

%files devel
%defattr(-,root,root)
%{_includedir}/compface.h
%{_libdir}/libcompface.a

%changelog
* Sat Mar 17 2012 Neal <nealbrks0 at gmail dot com> 1.6.1-25pclos2012
- process

* Fri Mar 16 2012 leiche <meisssw01 at gmail.com> 1.6.1-25pclos2012
- rebuild for 64 bit
- add german description
- convert archive to xz

* Wed Nov 01 2006 Texstar <texstar@houston.rr.com> 1.6.1-24pclos2007
- Build for PCLinuxOS 2007

